| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
od_istrstream Class Reference
Basic

OD class for streaming from string. More...

`#include <od_strstream.h>`

Inheritance diagram for od_istrstream:
[legend]

## Public Member Functions
| od_istrstream (const char *)
const char * | input () const
void | setInput (const char *)
Public Member Functions inherited from od_istream
| od_istream ()
| od_istream (const char *fnm)
| od_istream (const FilePath &fp)
| od_istream (const OS::MachineCommand &mc, const char *workdir=nullptr)
| od_istream (od_istream &&)
| od_istream (std::istream &s)
| od_istream (std::istream *s)
bool | atEOF () const
Pos | endPosition () const
od_istream & | get (BufferString &bs, bool allowgotonextline=true)
od_istream & | get (char &)
od_istream & | get (char *)=delete
od_istream & | get (CompoundKey &)
od_istream & | get (double &)
od_istream & | get (float &)
od_istream & | get (IOPar &)
od_istream & | get (long &)
od_istream & | get (od_int16 &)
od_istream & | get (od_int32 &)
od_istream & | get (od_int64 &)
od_istream & | get (od_uint16 &)
od_istream & | get (od_uint32 &)
od_istream & | get (od_uint64 &)
od_istream & | get (SeparString &)
od_istream & | get (StringView &)=delete
od_istream & | get (unsigned char &)
od_istream & | get (unsigned long &)
od_istream & | get (void *)=delete
bool | getAll (BufferString &)
template<class T >
od_istream & | getBin (T &)
bool | getBin (void *, Count nrbytes)
od_istream & | getC (char *, int sz, int maxnrchar)
bool | getLine (BufferString &, bool *newline_found=0)
bool | getWord (BufferString &, bool allowgotonextline=true)
void | ignore (Count)
Count | lastNrBytesRead () const
bool | open (const char *)
od_istream & | operator= (od_istream &&)
char | peek () const
bool | reOpen ()
void | setReadPosition (Pos, Ref r=Abs)
bool | skipLine ()
bool | skipUntil (char)
bool | skipWord ()
std::istream & | stdStream ()
Public Member Functions inherited from od_stream
virtual | ~od_stream ()
void | addErrMsgTo (BufferString &) const
void | addErrMsgTo (uiRetVal &) const
void | addErrMsgTo (uiString &) const
void | close ()
uiString | errMsg () const
| see also below.
const char * | fileName () const
bool | forRead () const
bool | forWrite () const
bool | isBad () const
| eof is not Bad
bool | isLocal () const
bool | isOK () const
| eof is not OK
Pos | position () const
void | setFileName (const char *)
void | setNoClose (bool yn=true)
void | setPosition (Pos, Ref r=Abs)
StreamData & | streamData ()
const StreamData & | streamData () const

## Additional Inherited Members
Public Types inherited from od_stream
typedef od_stream_Count | Count
typedef od_stream_Pos | Pos
enum | Ref { Abs , Rel , End }
Static Public Member Functions inherited from od_istream
static od_istream & | nullStream ()
Static Public Member Functions inherited from od_stream
static od_stream * | create (const char *, bool forread, BufferString &errmsg)
| returns null on failure, never a bad stream
static od_stream * | create (const char *, bool forread, uiString &errmsg)
| returns null on failure, never a bad stream
static const char * | sStdErr ()
| pass this as filename to get cerr
static const char * | sStdIO ()
| pass this as filename to get cin or cout
Protected Member Functions inherited from od_stream
| od_stream ()
| od_stream (const char *, bool, bool editmode=false)
| od_stream (const FilePath &, bool, bool editmode=false)
| od_stream (const OS::MachineCommand &, const char *workdir, bool editmode=false)
| od_stream (std::istream &)
| od_stream (std::istream *)
| od_stream (std::ostream &)
| od_stream (std::ostream *)
BufferString | noStdStreamPErrMsg () const
od_stream & | operator= (const od_stream &)=delete
Protected Attributes inherited from od_stream
uiString | errmsg_
bool | mine_ = true
bool | noclose_ = false
StreamData | sd_

## Detailed Description

OD class for streaming from string.

<>

## Constructor & Destructor Documentation

## ◆ od_istrstream()

od_istrstream::od_istrstream | ( | const char * |  | ) |

## Member Function Documentation

## ◆ input()

const char * od_istrstream::input | ( |  | ) | const

## ◆ setInput()

void od_istrstream::setInput | ( | const char * |  | ) |

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025